Subject: Re: [PATCH iproute2] ip link: Do not show help if 'dev he' was specified

From: Vadim Kochan <[email-masked]>
Date: Sun, 15 Mar 2015 12:38:31 +0200

On Sun, Mar 15, 2015 at 11:24:10AM +0100, Christoph Schulz wrote:
> Hello!
> 
> On 15.03.2015 09:01, Vadim Kochan wrote:
> > From: Vadim Kochan <[email-masked]>
> > 
> > Date: Sun, 15 Mar 2015 09:11:41 +0200
> > Signed-off-by: Vadim Kochan <[email-masked]>
> > Reported-by: Leonhard Preis <[email-masked]>
> > ---
> >  ip/ipaddress.c | 3 +--
> >  ip/iplink.c    | 6 ++----
> >  2 files changed, 3 insertions(+), 6 deletions(-)
> 
> We use a similar patch at the fli4l router project, but we also modified other files (ip6tunnel.c, ipmaddr.c, ipmroute.c, ipneigh.c, iproute.c, iprule.c). I'm afraid the patch is based on iproute2 3.11.0, but it applies to 3.17.0 (the version we currently use).
> 
> I attach the patch in the hope it will prove useful, perhaps as a base for a follow-up patch of yours.
> 
> 
> Best regards,
> 
> Christoph Schulz
> 

Hi,

It applies on my local master but I did not test it,
so you can re-send it as a complete fix instead of my ?

Thanks,